org.eclipse.emf.compare.match.eobject.internal

## Class ProximityMatchStats

- java.lang.Object
- - org.eclipse.emf.compare.match.eobject.internal.ProximityMatchStats

    public class ProximityMatchStats
    extends Object

A class responsible for tracking statistics about a given comparison process.

### Constructor Summary

Constructors
Constructor and Description
`ProximityMatchStats()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `backtrack()` A backtrack has been done.
`void` `doubleCheck()` Double checked a candidate pair of match.
`void` `failedDoubleCheck()` A double check has failed.
`void` `identicCompare()` We compared two objects looking for identic objects.
`void` `identicSuccess()` We successfully matched two objects while trying to find identic objects.
`void` `noMatch()` We found no match for an Object.
`void` `similarityCompare()` We compared two objects by their similarity.
`void` `similaritySuccess()` We achieved a match using similarity.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ProximityMatchStats

    public ProximityMatchStats()

### Method Detail

#### backtrack

    public void backtrack()

A backtrack has been done.

#### identicSuccess

    public void identicSuccess()

We successfully matched two objects while trying to find identic objects.

#### identicCompare

    public void identicCompare()

We compared two objects looking for identic objects.

#### similarityCompare

    public void similarityCompare()

We compared two objects by their similarity.

#### doubleCheck

    public void doubleCheck()

Double checked a candidate pair of match.

#### similaritySuccess

    public void similaritySuccess()

We achieved a match using similarity.

#### failedDoubleCheck

    public void failedDoubleCheck()

A double check has failed.

#### noMatch

    public void noMatch()

We found no match for an Object.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`